bcr_test_module:
  module_path: "examples"
  matrix:
    platform: [ "macos", "ubuntu2204", "windows" ]
    # Keep in syn with: test/aspect/execute_tests.py, test/workspace_integration/test.py, test/cc_toolchains/upstream/test.py
    bazel: [ "7.2.1", "8.x", "9.*" ]
  tasks:
    verify_examples:
      name: "Verify examples"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      shell_commands:
        - python test.py --bazel-bin bazel
